# cache

![Version: 1.0.1](https://img.shields.io/badge/Version-1.0.1-informational?style=flat-square) ![AppVersion: v1.0.1-rc](https://img.shields.io/badge/AppVersion-v1.0.1--rc-informational?style=flat-square)

cache deployment

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| autoscaling.enabled | bool | `false` | Enable autoscaling |
| autoscaling.maxReplicas | int | `3` | Maximum replicas |
| autoscaling.minReplicas | int | `1` | Minimum replicas |
| autoscaling.targetCPUUtilizationPercentage | int | `70` | CPU target for autoscaling trigger |
| autoscaling.targetMemoryUtilizationPercentage | int | `70` | Memory target for autoscaling trigger |
| cache.http.host | string | `""` |  |
| cache.http.port | int | `8080` |  |
| cache.http.timeout.idle | string | `"120s"` |  |
| cache.http.timeout.read | string | `"10s"` |  |
| cache.http.timeout.write | string | `"10s"` |  |
| cache.nats.subject | string | `"external_cache_events"` |  |
| cache.nats.url | string | `"nats.ocm:4222"` |  |
| image.name | string | `"gaiax/cache"` | Image name |
| image.pullPolicy | string | `"IfNotPresent"` | Image pull policy |
| image.pullSecrets | string | `"deployment-key-light"` | Image pull secret when internal image is used |
| image.repository | string | `"eu.gcr.io/vrgn-infra-prj"` |  |
| image.sha | string | `""` | Image sha, usually generated by the CI Uses image.tag if empty |
| image.tag | string | `""` | Image tag Uses .Chart.AppVersion if empty |
| ingress.annotations."cert-manager.io/cluster-issuer" | string | `"letsencrypt-production-http"` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.annotations."kubernetes.io/ingress.global-static-ip-name" | string | `"dev-light-public"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/rewrite-target" | string | `"/$2"` |  |
| ingress.enabled | bool | `true` |  |
| ingress.frontendDomain | string | `"gaiax.vereign.com"` |  |
| ingress.frontendTlsSecretName | string | `"cert-manager-tls"` |  |
| ingress.tlsEnabled | bool | `true` |  |
| log.encoding | string | `"json"` |  |
| log.level | string | `"debug"` |  |
| metrics.enabled | bool | `true` | Enable prometheus metrics |
| metrics.port | int | `2112` | Port for prometheus metrics |
| name | string | `"cache"` | Application name |
| nameOverride | string | `""` | Ovverwrites application name |
| podAnnotations | object | `{}` |  |
| redis.addr | string | `"redis-public-master.infra:6379"` |  |
| redis.db | int | `0` |  |
| redis.expiration | string | `"1h"` |  |
| redis.pass | string | `""` |  |
| redis.user | string | `""` |  |
| replicaCount | int | `1` | Default number of instances to start  |
| resources.limits.cpu | string | `"150m"` |  |
| resources.limits.memory | string | `"128Mi"` |  |
| resources.requests.cpu | string | `"25m"` |  |
| resources.requests.memory | string | `"64Mi"` |  |
| security.runAsGid | int | `0` | Group used by the apps |
| security.runAsNonRoot | bool | `false` | by default, apps run as non-root |
| security.runAsUid | int | `0` | User used by the apps |
| service.port | int | `8080` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.10.0](https://github.com/norwoodj/helm-docs/releases/v1.10.0)
